Page MenuHomePhabricator

Install Extension:OpenBadges on Test2.Wikipedia
Closed, DeclinedPublic

Description

Please installed Extension:OpenBadges on test2.Wikipedia for testing the extension.

Thanks

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2017, 10:55 PM

As this extension is not installed on any Wikimedia site yet, it first has to get reviewed.
See https://www.mediawiki.org/wiki/Review_queue for required steps in the "Preparing for deployment" section.

Also note that the 2.0 specification is in final state so I'm not sure what that means for the 1.1 implementation of the extension and I do not know about their compatibility.

Aklapper renamed this task from Installed Extension:OpenBadges on Test2.Wikipedia to Install Extension:OpenBadges on Test2.Wikipedia .Jul 15 2017, 1:54 PM
Urbanecm changed the task status from Open to Stalled.Jul 15 2017, 2:01 PM
Urbanecm triaged this task as Lowest priority.
Urbanecm added a subscriber: Urbanecm.

As Aklapper said, it needs to be reviewed first. Hence marking as Stalled, Lowest.

This extension is marked as experimental. I'm not sure if it is even ready for a review. Decline?

The extension has now been marked as unmantained. I don't think we want to deploy, even on test wikis, unmantained extensions. @Reedy : what do you think, decline?

@MarcoAurelio
Therefore, before installing the extension on a Wikimedia site, it is necessary that someone with computer knowledge takes responsibility for the extension. Right?

Dereckson added a subscriber: Dereckson.

@Samuele2002 Could you explain to use why you wish to see this extension live on the Wikimedia cluster? What problem do you wish to solve?

That will help us to determine a strategy for this extension or your problem and look for volunteers or to include this development in some team roadmap.

@Samuele2002 If you just want to test the extension, or try to get people involved in developing it further it might be easier to just install it on Cloud VPS (old Labs). That still requires a request (similar to T153430: Request creation of Wikispeech labs project) but the threshold is a lot lower since it lives on Cloud VPS.

As the person behind the extension I can take on responsibility for managing such an instance if it is approved (in my volunteer capacity). I should clarify though that I currently do not have the time to develop the extension further.

MaxSem closed this task as Declined.Jan 6 2018, 12:33 AM
MaxSem added a subscriber: MaxSem.

No justification, no evidence of community interest, no point person to move this ahead.